> For the complete documentation index, see [llms.txt](https://developers.copyfactory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.copyfactory.io/api/profiles/list-all-profiles.md).

# List all profiles

## Will fetch a list of profiles.

<mark style="color:blue;">`GET`</mark> `https://app.copyfactory.io/api/v2/profiles/list/`

An array with all profiles. Each entry in the array is a separate profile object.

#### Headers

| Name                                            | Type   | Description              |
| ----------------------------------------------- | ------ | ------------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Your Copyfactory API key |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
	"data": [{
		"id": 1,
		"profile_name": "Copyfactory",
		"profile_domain": "copyfactory.io",
		"is_active": true,
		"current_tool": "Apollo",
		"created_timestamp": "2021-05-18T21:04:26Z"
	}]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Shell" %}

```
curl --location --request GET 'https://app.copyfactory.io/api/v2/profiles/list/' \
--header 'Authorization: API-KEY'
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://app.copyfactory.io/api/v2/profiles/list/"

headers = {
  'Authorization': 'API-KEY'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

{% endtab %}
{% endtabs %}
